# Diagrama de estados

{% @lucid/lucid-component url="<https://lucid.app/lucidchart/a2113387-9f28-449a-8e5b-36d8d7a0d116/edit?invitationId=inv_737cb423-a591-4621-86d3-dc9bda01404e&viewport_loc=-1998,-192,4794,2469,0_0>" %}

### Descripción

* **Estado Inicial:**
  * **Acción:** Evento emitido por el proveedor
* **Recepción de Mensaje (MessageReception):**
  * **Acción:** Un endpoint del webhook recibe el evento.
  * **Transición Exitosa:** El evento se recibe y encola en redis.
  * **Transición de Fallo:** Se identifica que el evento no se recibe y se notifica.
* **Procesamiento de eventos despachados de la cola de Redis:**
  * **Acción:** Mensaje sale de la cola.
  * **Transición:** Mensaje es almacenado en base de datos y agregado a una cola de Kafka.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-affiliates.inlaze.com/gaming-docs/architecture/sistema-de-sportsbook/estructura/webhook/diagrama-de-estados.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
